; Supervisor programs required for the formr deamon. If you run the deamon using supervisor, ensure the formr crontab is not running
; This file only includes supervisor programs and hence can only be used  if included in a main supervisor config
; You can for example include these programs in the default supervisor config as follows:
;   - copy the file to ./config/supervisord.conf
;   - Edit configuration according to your taste
;   - Add to supervisor config folder via symbolic link, Eg.: ln -s /var/www/formr/config/supervisord.conf /etc/supervisor/conf.d/formr.conf

; Program to process the email queue
;[program:formrmailqueue]
;command=timeout 60m php bin/queue.php -t Email
;process_name=%(program_name)s_%(process_num)02d 
;numprocs=1
;directory=/var/www/formr.org
;autorestart=unexpected
;exitcodes=90
;stdout_logfile=/var/www/formr.org/tmp/logs/email-queue.log
;stderr_logfile=/var/www/formr.org/tmp/logs/email-queue.log
;autostart=true

; program to process the unit session queue
;[program:formrsessionqueue]
;Example with all parameters timeout 60m php bin/queue.php -t UnitSession -n 3 -b 300 -p %(process_num)02d
;command=timeout 60m php bin/queue.php -t UnitSession
;process_name=%(program_name)s_%(process_num)02d 
;numprocs=1
;directory=/var/www/formr.org
;autorestart=unexpected
;exitcodes=90
;stdout_logfile=/var/www/formr.org/tmp/logs/session-queue.log
;stderr_logfile=/var/www/formr.org/tmp/logs/session-queue.log
;autostart=true

